{% extends 'store/base.html' %}
{% block title %}Product Detail {% endblock title %}
{% load static %}
{% block main-content %}
<div class="container my-5 reviewdata">
    <div class="row">
        <div class="col-sm-6 text-center align-self-center">
            <img src="{{product.product_img.url}}" alt="" class="img-fluid img-thumbnail">
        </div>
        <div class="col-sm-5 offset-sm-1 product_data">
            <div class="prod_data">
                <h2>Product Name: {{product.title}}</h2>
                <hr>
                <p>{{product.description}}</p> <br>
                <h4>Rs. {{product.discounted_price}} <small class="fw-light text-decoration-line-through">{{product.selling_price}}</small>
                </h4> <br>
                {% if request.user.is_authenticated %}
                {% if item_already_in_cart %}
                <a href="{% url 'cart' %}" class="btn btn-warning shadow px-5 py-2 ms-4">Go to Cart</a>
                {% else %}
                {% if product.stock > 0 %}
                {% csrf_token %}
                <input type="hidden" value="{{product.id}}" class="prod_id">
                <form action="/add-to-cart" class="d-inline">
                    <input type="hidden" name="prod_id" value={{product.id}} id="product_id">
                    <!--                    <a href="#" class="btn btn-danger shadow px-5 py-2 shadow px-5 py-2  addToCartbtn">Add to Cart &nbsp;  <i class="fa fa-heart"></i> </a>-->
                    <button type="submit" class="btn btn-danger shadow px-5 py-2" value="Add to Cart">Add to Cart &nbsp;<i
                            class="fa fa-shopping-cart"></i></button>
                </form>
                <a href="#" class="btn btn-success shadow px-5 py-2 ms-4">Buy Now &nbsp; <i class="fa fa-heart"></i>
                </a>
                {% else %}
                <label class="btn btn-danger">Out of Stock</label>
                {% endif %}
                {% endif %}
                {% endif %}

                {% if not request.user.is_authenticated %}
                {% if product.stock > 0 %}
                <form action="/add-to-cart" class="d-inline">
                    <input type="hidden" name="prod_id" value={{product.id}} id="prod_id">
                    <a href="{% url 'login' %}" class="btn btn-danger shadow px-5 py-2 ms-4">Add to Cart &nbsp; <i
                            class="fa fa-shopping-cart"></i></a>
                </form>
                <a href="{% url 'login' %}" class="btn btn-success shadow px-5 py-2 ms-4">Buy Now &nbsp; <i
                        class="fa fa-heart"></i></a>
                {% else %}
                <label class="btn btn-danger">Out of Stock</label>
                {% endif %}
                {% endif %}
            </div>
            <h5 class="mt-5">Available Offers</h5>
            <ul>
                <li>Bank Offer 5% off on SBI Credit Card</li>
                <li>Special Price Get extra ₹3000 off (price inclusive of discount)</li>
                <li>Exclusive Discount on shopping above ₹5000</li>
                <li>Partner Offer ₹2000 Flipkart Gift Card on Every 1000th Transaction with a new Visa Debit/Credit
                    Card
                </li>
            </ul>
        </div>
    </div>
</div>
<div class="container my-5">
    <div class="row product_data">
        <div class="col-md-3 prod_data">
            <div class="float-right w-100">
                <h2 class="product-title float-right">Reviews*</h2>
                {% if request.user.is_authenticated %}
                <form method="post" id="reviewform" >
                    {% csrf_token %}
                    <input type="hidden" value="{{product.id}}" class="prod_id">
                    <div class="input-group mb-3 ">
                        <input type="text" class="form-control form-control-sm review-item " placeholder="Enter Your Review"
                               aria-label="Enter Your Review" aria-describedby="button-addon2" name="review">
                        <div class="input-group-append">
                            <button style="border: none;" class="btn-secondary form-control-sm review-btn" type="button" id="button-addon2"><i class="fa fa-paper-plane"
                                                                        aria-hidden="true"></i></button>
                        </div>
                    </div>
                </form>
                {% endif %}
                <div style="height: 400px; overflow-y: scroll;">
                    {% for review in product_review %}
                    {% if review.product.id == product.id %}
                    <div class="bd-callout bd-callout-warning mb-1">
                        <h6 class="m-0 p-0" id="conveying-meaning-to-assistive-technologies">
                            {{review.user}}</h6>
                        <small class="pl-1 text-muted">{{review.review}}</small>
                    </div>
                    {% endif %}
                    {% endfor %}



                </div>
            </div>
        </div>
    </div>
</div>

{% endblock main-content %}